<!-- Based on fast/repaint/align-self-change-keeping-geometry-grid.html -->
<!DOCTYPE HTML>
<script src="resources/paint-invalidation-test.js"></script>
<script>
window.expectedPaintInvalidationObjects = [
];
function paintInvalidationTest() {
  document.getElementsByClassName('item')[0].style.alignSelf = 'stretch';
}
onload = runPaintInvalidationTest;
</script>
<style>
body {
  margin: 0;
}
#container {
  display: grid;
  grid: 100px / 300px;
  width: 200px;
  height: 300px;
  background-color: red;
}
.item {
  grid-row: 1;
  grid-column: 1;
  align-self: start;
  background-color: green;
}
</style>
<p style="height: 20px">There should be no invalidations because align-self style change causes no visual change.</p>
<div id="container">
  <div class="item">
    <div style="height: 300px"></div>
  </div>
</div>
